PropertiesForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.portlet.controlactions.PropertiesForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.portlet.controlactions
Class PropertiesForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.portlet.DashboardBaseForm
                      org.hyperic.hq.ui.action.portlet.controlactions.PropertiesForm

All Implemented Interfaces:
  java.io.Serializable

    public class PropertiesForm

extends DashboardBaseForm

A subclass of `ValidatorForm` that adds convenience methods for dealing with image-based form buttons.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`PropertiesForm()`

Method Summary
`java.lang.Integer` | `getLastCompleted()` Getter for property lastCompleted.
`java.lang.Integer` | `getMostFrequent()` Getter for property mostFrequent.
`java.lang.Integer` | `getNextScheduled()` Getter for property lastScheduled.
`long` | `getPast()`
`boolean` | `isUseLastCompleted()` Getter for property useLastCompleted.
`boolean` | `isUseMostFrequent()` Getter for property useMostFrequent.
`boolean` | `isUseNextScheduled()` Getter for property useNextScheduled.
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setLastCompleted(java.lang.Integer lastCompleted)` Setter for property lastCompleted.
`void` | `setMostFrequent(java.lang.Integer mostFrequent)` Setter for property mostFrequent.
`void` | `setNextScheduled(java.lang.Integer nextScheduled)` Setter for property lastScheduled.
`void` | `setPast(long past)`
`void` | `setUseLastCompleted(boolean useLastCompleted)` Setter for property useLastCompleted.
`void` | `setUseMostFrequent(boolean useMostFrequent)` Setter for property useMostFrequent.
`void` | `setUseNextScheduled(boolean useNextScheduled)` Setter for property useNextScheduled.
`java.lang.String` | `toString()`
`org.apache.struts.action.ActionErrors` | `validate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to.

Methods inherited from class org.hyperic.hq.ui.action.portlet.DashboardBaseForm
`getPortletName, getToken, setPortletName, setToken`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertiesForm

    public PropertiesForm()

Method Detail

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `DashboardBaseForm`

### validate

    public org.apache.struts.action.ActionErrors validate(org.apache.struts.action.ActionMapping mapping,
                                                          javax.servlet.http.HttpServletRequest request)

  Description copied from class: `BaseValidatorForm`
  Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to. condition #2 can be false when a form has failed validation and has forwarded to the input page; the ok button request parameter will still be userset, but the prepare action for the input page will not have (another) input page specified.

  Overrides:
    `validate` in class `BaseValidatorForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

### getLastCompleted

    public java.lang.Integer getLastCompleted()

  Getter for property lastCompleted.

  Returns:
    Value of property lastCompleted.

### setLastCompleted

    public void setLastCompleted(java.lang.Integer lastCompleted)

  Setter for property lastCompleted.

  Parameters:
    `lastCompleted` - New value of property lastCompleted.

### getNextScheduled

    public java.lang.Integer getNextScheduled()

  Getter for property lastScheduled.

  Returns:
    Value of property lastScheduled.

### setNextScheduled

    public void setNextScheduled(java.lang.Integer nextScheduled)

  Setter for property lastScheduled.

  Parameters:
    `lastScheduled` - New value of property lastScheduled.

### getMostFrequent

    public java.lang.Integer getMostFrequent()

  Getter for property mostFrequent.

  Returns:
    Value of property mostFrequent.

### setMostFrequent

    public void setMostFrequent(java.lang.Integer mostFrequent)

  Setter for property mostFrequent.

  Parameters:
    `mostFrequent` - New value of property mostFrequent.

### isUseLastCompleted

    public boolean isUseLastCompleted()

  Getter for property useLastCompleted.

  Returns:
    Value of property useLastCompleted.

### setUseLastCompleted

    public void setUseLastCompleted(boolean useLastCompleted)

  Setter for property useLastCompleted.

  Parameters:
    `useLastCompleted` - New value of property useLastCompleted.

### isUseMostFrequent

    public boolean isUseMostFrequent()

  Getter for property useMostFrequent.

  Returns:
    Value of property useMostFrequent.

### setUseMostFrequent

    public void setUseMostFrequent(boolean useMostFrequent)

  Setter for property useMostFrequent.

  Parameters:
    `useMostFrequent` - New value of property useMostFrequent.

### isUseNextScheduled

    public boolean isUseNextScheduled()

  Getter for property useNextScheduled.

  Returns:
    Value of property useNextScheduled.

### setUseNextScheduled

    public void setUseNextScheduled(boolean useNextScheduled)

  Setter for property useNextScheduled.

  Parameters:
    `useNextScheduled` - New value of property useNextScheduled.

### getPast

    public long getPast()

### setPast

    public void setPast(long past)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.